package com.ccnode.codegenerator.i;

package .tmp;

import com.ccnode.codegenerator.ae.D;
import com.intellij.lang.Commenter;
import com.intellij.lang.Language;
import com.intellij.lang.injection.InjectedLanguageManager;
import com.intellij.lang.xml.XmlCommenter;
import com.intellij.openapi.editor.Editor;
import com.intellij.psi.FileViewProvider;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.templateLanguages.MultipleLangCommentProvider;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\0008\n\002\030\002\n\002\030\002\n\002\b\002\n\002\030\002\n\000\n\002\020\013\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\000\n\002\030\002\n\002\b\002\030\0002\0020\001B\005¢\006\002\020\002J\030\020\005\032\0020\0062\006\020\007\032\0020\b2\006\020\t\032\0020\nH\026J*\020\013\032\004\030\0010\f2\006\020\007\032\0020\b2\006\020\r\032\0020\0162\006\020\017\032\0020\0202\006\020\021\032\0020\020H\026R\016\020\003\032\0020\004X\004¢\006\002\n\000¨\006\022"}, d2 = {"Lcom/ccnode/codegenerator/comment/SqlMultipleLangCommentProvider;", "Lcom/intellij/psi/templateLanguages/MultipleLangCommentProvider;", "()V", "INSTANCE", "Lcom/intellij/lang/xml/XmlCommenter;", "canProcess", "", "file", "Lcom/intellij/psi/PsiFile;", "viewProvider", "Lcom/intellij/psi/FileViewProvider;", "getLineCommenter", "Lcom/intellij/lang/Commenter;", "editor", "Lcom/intellij/openapi/editor/Editor;", "lineStartLanguage", "Lcom/intellij/lang/Language;", "lineEndLanguage", "MyBatisCodeHelper-Pro241"})
public final class a implements MultipleLangCommentProvider {
  @NotNull
  private final XmlCommenter a = new XmlCommenter();
  
  @Nullable
  public Commenter getLineCommenter(@NotNull PsiFile paramPsiFile, @NotNull Editor paramEditor, @NotNull Language paramLanguage1, @NotNull Language paramLanguage2) {
    Intrinsics.checkNotNullParameter(paramPsiFile, "");
    Intrinsics.checkNotNullParameter(paramEditor, "");
    Intrinsics.checkNotNullParameter(paramLanguage1, "");
    Intrinsics.checkNotNullParameter(paramLanguage2, "");
    return (Commenter)this.a;
  }
  
  public boolean canProcess(@NotNull PsiFile paramPsiFile, @NotNull FileViewProvider paramFileViewProvider) {
    Intrinsics.checkNotNullParameter(paramPsiFile, "");
    Intrinsics.checkNotNullParameter(paramFileViewProvider, "");
    if (paramPsiFile instanceof com.intellij.sql.psi.SqlFile) {
      PsiFile psiFile2 = InjectedLanguageManager.getInstance(paramPsiFile.getProject()).getTopLevelFile((PsiElement)paramPsiFile);
      if (psiFile2 == null)
        return false; 
      PsiFile psiFile1 = psiFile2;
      return D.a.a(psiFile1);
    } 
    return false;
  }
}
